function [f,g]= ofgSimu(x,PAR)
  nx=PAR.nvar/2;
  dx2=PAR.dx2;
%
% first modeling
  u1=forward_model(nx,dx2,x(1:nx),PAR.freq2,PAR.s(1:nx));
  u2=forward_model(nx,dx2,x(nx+1:2*nx),PAR.freq2,PAR.s(nx+1:2*nx));
%
% back-projection source
  sb=PAR.M'*(PAR.data-PAR.M*[u1; u2]);
%
% back-projection
  lambda1=forward_model(nx,dx2,x(1:nx),PAR.freq2,sb(1:nx));
  lambda2=forward_model(nx,dx2,x(nx+1:2*nx),PAR.freq2,sb(nx+1:2*nx));
%
% compute the gradient
  L=sparse(-diag(ones(nx-1,1)/dx2,1)-diag(ones(nx-1,1)/dx2,-1)+2/dx2*diag(ones(nx,1)));
  g=[lambda1.*(L*u1);lambda2.*(L*u2)]+PAR.R'*(PAR.R*x-PAR.prior);
  f=.5*(PAR.data-PAR.M*[u1; u2])'*(PAR.data-PAR.M*[u1; u2])+...
  .5*(PAR.R*x-PAR.prior)'*(PAR.R*x-PAR.prior);
end

