%
% 2013 Musa Maharramov
% Stanford Exploration Project
% SEP 150
%
% Demonstration of Robust Time-Lapse FWI
% using regularized simultaneous baseline and monitor
% model inversion and cross-updating
%
% M-< interpolation operator from (modeling) grid
%     xx onto (receiver) grid rr
%
function [M]=receiver_measurement_op(xx,rr)
%
  nx=length(xx);  nr=length(rr);  M=zeros(nr,nx);
%
  for ir=1:nr
    xr=rr(ir);
    if xr<=xx(1)
      M(ir,1)=1.;
      continue;
    end
    if xr>=xx(nx)
      M(ir,nx)=1.;
      continue;
    end
%
    for j=2:nx
      if xr<xx(j)
        M(ir,j-1)=(xx(j)-xr)/(xx(j)-xx(j-1));
        M(ir,j)=1.-M(ir,j-1);
        break;
      end
    end
  end
end
