#!/bin/bash
#
# 2013 Musa Maharramov
# Stanford Exploration Project
# SEP 150
#
# Demonstration of Robust Time-Lapse FWI
# using regularized simultaneous baseline and monitor
# model inversion and cross-updating
#
# Proof-of-concept "borehole" test problem (1D) 
#
# creates SEP150/musa1 figures in ${FIG}
#
FIG=../../Fig
#
./cln.sh
# no noise
export SEP150PRCV=0;
export SEP150PNOISE=0.;
matlab -nodesktop -nosplash -r timelapse
# copy plots
P1=N32D0.032258F00.2dF0.2FM1PNS0PNQ80PRCV0SX10.4DEV10.03S1A1SX20.6DEV20.06S2A1PPD0
mv ${P1}baseline.pdf ${FIG}/baseline.pdf
mv ${P1}monitor.pdf ${FIG}/monitor.pdf
mv ${P1}difference.pdf ${FIG}/difference.pdf
mv ${P1}smootheddifference.pdf ${FIG}/smootheddifference.pdf
#
# add receiver mis-positioning and noise
export SEP150PRCV=50;
export SEP150PNOISE=5.;
matlab -nodesktop -nosplash -r timelapse
# copy plots
P2=N32D0.032258F00.2dF0.2FM1PNS5PNQ80PRCV50SX10.4DEV10.03S1A1SX20.6DEV20.06S2A1PPD0
mv ${P2}baseline.pdf ${FIG}/baselinenoise.pdf
mv ${P2}monitor.pdf ${FIG}/monitornoise.pdf
mv ${P2}difference.pdf ${FIG}/differencenoise.pdf
mv ${P2}smootheddifference.pdf ${FIG}/smootheddifferencenoise.pdf
mv ${P2}sources.pdf ${FIG}/sources.pdf
mv ${P2}truebaseline.pdf ${FIG}/truebaseline.pdf
mv ${P2}truemonitor.pdf ${FIG}/truemonitor.pdf
# clean up
rm -rf *.pdf

